from tortoise import Tortoise

from config.config import DB_CONFIG
from utils.log import get_logger

from models.user import User
from models.key import Credential

async def init():
    logger = get_logger(__name__)
    db_url = f"{DB_CONFIG['backend']}://{DB_CONFIG['url']}"

    await Tortoise.init(
        db_url=db_url,
        modules={'models': ['models.key', 'models.user']}
    )

    await Tortoise.generate_schemas()
    logger.info(f'models loaded')
